Subject: 23.0.94; `comment-region' indents comment chars inappropriately

From: "Drew Adams" <[email-masked]>
Date: Sun, 24 May 2009 15:31:08 -0700

emacs -Q
 
In buffer *scratch*, type this: SPC SPC ` a b c d e f ' RET
 
That inserts this line, followed by a newline:
  `abcdef'

Select the line, including the newline at its end: `M-< C-SPC C-n'.
 
M-x comment-region
 
In Emacs 23, this is the result:
 
  ;; `abcdef'
 
In all previous versions of Emacs, the comment chars are inserted at
the start of the line - they are not indented two spaces:
 
;;   `abcdef'
 
This is so for Emacs 20, 21, and 22. (Though in Emacs 20 only one
semicolon is used.)
 
This breaks any code that depends on the traditional behavior.  For
instance, I have code that updates file-header lines, and now, instead
of this:
 
;; Features that might be required by this library:
;;
;;   `abcdef', `ghijk', `lmnop'.
;;
 
I get this;
 
;; Features that might be required by this library:
;;
  ;; `abcdef', `ghijk', `lmnop'.
;;
 
I need this code to work in all Emacs versions. I certainly hope you
do not consider this change to be a feature instead of a bug.

In GNU Emacs 23.0.94.1 (i386-mingw-nt5.1.2600)
 of 2009-05-24 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'